#ifndef UART_H_
#define UART_H_

#include <stdint.h>

typedef
__attribute__((packed))
struct {
    uint32_t RXTX;
    uint32_t TXFULL;
    uint32_t RXEMPTY;
    uint32_t EV_STATUS;
    uint32_t EV_PENDING;
    uint32_t EV_ENABLE;
    uint32_t TXEMPTY;
    uint32_t RXFULL;
} LiteUART;

#define UART0  ((LiteUART*)0xF0003000)

#endif